Bug 165955 - search in Open Kenai Project dialog behaves wrong
search in Open Kenai Project dialog behaves wrong
Status: RESOLVED FIXED
Product: connecteddeveloper
Classification: Unclassified
Component: Team Framework
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jan Becicka
issues@connecteddeveloper
: PLAN
Depends on:
Blocks: 165924
  Show dependency treegraph
 
Reported: 2009-05-25 14:57 UTC by Ondrej Langr
Modified: 2009-11-10 03:34 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2009-05-25 14:57:49 UTC
The issue identified during a usability study:

When the search is invoked without parameters, it returns no results (participants expected it to return the full list
of projects). This proved to be a blocker to a participant, he thought there are no projects available.
Comment 1 Milan Kubec 2009-05-26 07:23:41 UTC
We will probably disappoint participant, but google also shows only text field and not all web pages from internet. We
should refine UI to help users to understand what is expected from them, we surely won't list all kenai.com projects
(from performance reasons).
Comment 2 Tomas Pavek 2009-06-15 16:26:16 UTC
This is not like google - we are not searching open internet, just a database of projects. Actually Kenai lists all the
projects. So perhaps we could try to list all the project when empty field is entered. (Of course we should then somehow
reduce the number of shown projects if there are too many results.) If not allowing this, there should be at least some
feedback/message on user's attempt to do empty search.

Together with issue 160251, this could make the search dialog easier to use for a newcomer.
Comment 3 Ondrej Langr 2009-06-17 14:21:28 UTC
There are 2 sides of this problem: 

1) users expect to have some projects to choose from before the search is run
2) if the empty search is run, there need to be "some" results. The current behavior evokes there are no projects at all. 

First problem can be solved by collapsing the section with results and uncollapsing it only after the first search.
Second problem needs to be solved by really presenting some search results .. i don't see any reasonable "workaround".
Comment 4 Tomas Pavek 2009-06-17 15:23:09 UTC
ad 1) Wouldn't be enough to just show "No search performed yet" instead of "No search results"?

Let's plan to solve this for 6.8.
Comment 5 Petr Dvorak 2009-06-17 15:51:35 UTC
I would like to also point you at issue 162607 which speaks about presenting featured/new Kenai projects to the user.
Comment 6 Ondrej Langr 2009-06-17 15:54:01 UTC
Certainly for many people it would work. Hard to say whether it would make it absolutely clear, without
usability-testing it again. 

Anyway, it'd be acceptable solution to me. If we later recognize it is not enough, we can always reopen the issue. 
Comment 7 Jan Becicka 2009-06-30 10:19:07 UTC
fixed in cdev
Comment 8 Quality Engineering 2009-06-30 17:31:30 UTC
Integrated into 'main-golden', will be available in build *200906301400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/520fede508a2
User: Jan Becicka <jbecicka@netbeans.org>
Log: #165955: search in Open Kenai Project dialog behaves wrong
Comment 9 Tomas Pavek 2009-07-21 12:56:03 UTC
Is this really fixed? The second problem with empty search is not solved.
Comment 10 Jan Becicka 2009-07-31 09:52:48 UTC
fixed in my local repository
Comment 11 Quality Engineering 2009-07-31 18:48:45 UTC
Integrated into 'main-golden', will be available in build *200907311401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/3309eb07cb63
User: Jan Becicka <jbecicka@netbeans.org>
Log: #165955: search in Open Kenai Project dialog behaves wrong
Comment 12 Jan Becicka 2009-07-31 20:40:25 UTC
fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo